Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class IterateThroughViewTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.beasys.commerce.ebusiness.catalog.tags.IterateThroughViewTag

All Implemented Interfaces:
  BodyTag, IterationTag, Serializable, Tag

public class IterateThroughViewTag
extends BodyTagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IterateThroughViewTag()`

Method Summary
`int` | `doAfterBody()` Called when the end of the tag is reached
`int` | `doStartTag()` Called when the tag starts.
`String` | `getId()` Get the value of the id.
`ViewIterator` | `getIterator()` Get the value of the iterator.
`String` | `getReturnType()` Get the value of returnType.
`int` | `getViewIndex()` Get the value of the viewIndex.
`void` | `release()`
`void` | `setId(String id)` Set the value of the id.
`void` | `setIterator(ViewIterator iterator)` Set the value of the iterator.
`void` | `setReturnType(String returnType)` Set the value of returnType.
`void` | `setViewIndex(int viewIndex)` Set the value of the viewIndex.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### IterateThroughViewTag

    public IterateThroughViewTag()

Method Detail

### setIterator

    public void setIterator(ViewIterator iterator)

  Set the value of the iterator.

  Parameters:
    `iterator` - Value to assign to iterator.

### getIterator

    public ViewIterator getIterator()

  Get the value of the iterator.

  Returns:
    Value of the iditerator

### setId

    public void setId(String id)

  Set the value of the id.

  Overrides:
    `setId` in class `TagSupport`
  Parameters:
    `id` - Value to assign to id.

### getId

    public String getId()

  Get the value of the id.

  Overrides:
    `getId` in class `TagSupport`
  Returns:
    Value of the id.

### setReturnType

    public void setReturnType(String returnType)

  Set the value of returnType.

  Parameters:
    `returnType` - Value to assign to returnType.

### getReturnType

    public String getReturnType()

  Get the value of returnType.

  Returns:
    Value of returnType.

### setViewIndex

    public void setViewIndex(int viewIndex)

  Set the value of the viewIndex.

  Parameters:
    `viewIndex` - Value to assign to viewIndex.

### getViewIndex

    public int getViewIndex()

  Get the value of the viewIndex.

  Returns:
    Value of the viewIndex.

### doStartTag

    public int doStartTag()
                   throws JspException

  Called when the tag starts.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Called when the end of the tag is reached

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
    `JspException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved